import React from "react";
import { Store } from "./createStore";
interface ProviderProps<T> {
    store: Store<T>;
    onStateDidChange?: (state: T, lastAction: any) => void;
    initializer?: (state: T) => any;
    ref?: React.Ref<{
        state: T;
        dispatch: () => void;
    }>;
    children: any;
}
declare const Provider: React.MemoExoticComponent<React.ForwardRefExoticComponent<Pick<ProviderProps<any>, "children" | "store" | "onStateDidChange" | "initializer"> & React.RefAttributes<unknown>>>;
interface ProvidersListProps {
    providers: React.ComponentType[];
    children: React.ReactElement;
}
declare function ProvidersList({ children, providers }: ProvidersListProps): React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>;
export { Provider, ProvidersList };
//# sourceMappingURL=provider.d.ts.map